require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "ModclothTestOnewland" do
  it "should define closest_fibonacci" do
    100.should respond_to(:closest_fibonacci)
  end

  it "should raise an error for any number less than or equal to 1" do
    lambda { 0.closest_fibonacci }.should raise_error
    lambda { 1.closest_fibonacci }.should raise_error
  end

  it "should follow 'The Price is Right' rules" do
    2.closest_fibonacci.should == 1
  end

  it "should handle the examples in the word doc correctly" do
    156.closest_fibonacci.should == 144
    99.closest_fibonacci.should == 89
  end
end
